%global momorel 3

Summary:	Toolchain for mastering recordable DVD media
Name:		dvd+rw-tools
Version:	6.1
Release:	%{momorel}m
License:	GPL
Group:		Applications/Multimedia
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
%NoSource 0     http://fy.chalmers.se/~appro/linux/DVD+RW/tools/%{name}-%{version}.tar.gz d6bad594e55a2e0d7cf76ce452fce399
Requires:	mkisofs >= 1.10
BuildPreReq:	gcc-c++ >= 3.4.1-1m
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Collection of tools to master DVD+RW/+R/-R/-RW media. For further
information see http://fy.chalmers.se/~appro/linux/DVD+RW/.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" CPPFLAGS="%{optflags}"
make rpl8 btcflash CFLAGS="%{optflags}" CPPFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} manprefix=%{buildroot}%{_mandir} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE index.html
%{_bindir}/btcflash
%{_bindir}/dvd+rw-booktype
%{_bindir}/dvd+rw-format
%{_bindir}/dvd+rw-mediainfo
%{_bindir}/dvd-ram-control
%{_bindir}/growisofs
%{_bindir}/rpl8
%{_mandir}/man1/growisofs.1*

%changelog
* Fri Aug 11 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (6.1-3m)
- remove Patch0: dvd+rw-tools-6.1-64bit.patch (not necessary now)

* Sun Apr  9 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (6.1-2m)
- add Patch0: dvd+rw-tools-6.1-64bit.patch

* Sat Feb 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6.1-1m)
- version 6.1

* Sun Oct  3 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.21-1m)
- Linux: fix for kernel version 2.6>=8, 2.6.8 itself is deficient,
  but the problem can be worked around by installing this version
  set-root-uid

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.20-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (5.20-1m)
- support DVD+R DoubleLayer

* Sun Apr 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (5.19-1m)
- address speed verification issues with NEC ND-2500 and Plextor PX-708A
- make DVD-RAM work in "poor-man" mode
- average write speed report at the end of recording
- LG GSA-4081B fails to "SET STREAMING" with "LBA OUT OF RANGE" for
  DVD+RW media, but not e.g. DVD-R

* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (5.18.4.8.6-1m)
- minimize amount of compiler warnings on 64-bit platforms
- skip count-down if no_tty_check is set
- -use-the-force-luke=tracksize:size option by suggestion from K3b
- Linux: fix for "Bad file descriptor" with DVD+RW kernel patch

* Tue Feb 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (5.17.4.8.6-1m)
- initial import
